/**********************************************************************************************/
/* VDK_Short.h																				  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_Short_h 
	#define __VDK_Short_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#else
#	include <VDK_Field.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_EXP VDK_Short : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP							VDK_Short( const char* inName, ushort inFlags = 0 );
virtual							~VDK_Short( void ) {}

		/* Value methods */
		
FBL_EXP	virtual	void			operator =( short inValue ); 
FBL_EXP	virtual					operator short( void ) const; 
								
		/* Search methods */
		
		FBL_BitSet*				Find( const short* inLeftValue , bool inLeftInclude, 
									  const short* inRightValue, bool inRightInclude ) 
								{
									return VDK_Field::Find( inLeftValue,  inLeftInclude,
															inRightValue, inRightInclude );
								}

		FBL_BitSet* 			Find( const short* inKey = NULL )	{
									return VDK_Field::Find( inKey );
								}

}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  

