/**********************************************************************************************/
/* VDK_UMedium.h																			  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_UMedium_h 
	#define __VDK_UMedium_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#else
#	include <VDK_Field.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_EXP VDK_UMedium : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP							VDK_UMedium( const char* inName, ushort inFlags = 0 );
virtual							~VDK_UMedium( void ){ }

		/* Value access */
		
FBL_EXP	virtual	void			operator =( ulong inValue ); 
FBL_EXP	virtual					operator ulong( void ) const; 
								
		/* Search methods */
		
		FBL_BitSet*				Find( const ulong* inLeftValue , bool inLeftInclude, 
									  const ulong* inRightValue, bool inRightInclude ) 
								{
									return VDK_Field::Find( inLeftValue,  inLeftInclude,
															inRightValue, inRightInclude );
								}
		
		FBL_BitSet* 			Find( const ulong* inKey = NULL )	{
									return VDK_Field::Find( inKey );
								}

}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  

